try {
  self["workbox:core:7.0.0"] && _();
} catch {
}
const z = (s, ...e) => {
  let t = s;
  return e.length > 0 && (t += ` :: ${JSON.stringify(e)}`), t;
}, J = z;
class h extends Error {
  /**
   *
   * @param {string} errorCode The error code that
   * identifies this particular error.
   * @param {Object=} details Any relevant arguments
   * that will help developers identify issues should
   * be added as a key on the context object.
   */
  constructor(e, t) {
    const n = J(e, t);
    super(n), this.name = e, this.details = t;
  }
}
try {
  self["workbox:routing:7.0.0"] && _();
} catch {
}
const F = "GET", C = (s) => s && typeof s == "object" ? s : { handle: s };
class b {
  /**
   * Constructor for Route class.
   *
   * @param {workbox-routing~matchCallback} match
   * A callback function that determines whether the route matches a given
   * `fetch` event by returning a non-falsy value.
   * @param {workbox-routing~handlerCallback} handler A callback
   * function that returns a Promise resolving to a Response.
   * @param {string} [method='GET'] The HTTP method to match the Route
   * against.
   */
  constructor(e, t, n = F) {
    this.handler = C(t), this.match = e, this.method = n;
  }
  /**
   *
   * @param {workbox-routing-handlerCallback} handler A callback
   * function that returns a Promise resolving to a Response
   */
  setCatchHandler(e) {
    this.catchHandler = C(e);
  }
}
class X extends b {
  /**
   * If the regular expression contains
   * [capture groups]{@link https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/RegExp#grouping-back-references},
   * the captured values will be passed to the
   * {@link workbox-routing~handlerCallback} `params`
   * argument.
   *
   * @param {RegExp} regExp The regular expression to match against URLs.
   * @param {workbox-routing~handlerCallback} handler A callback
   * function that returns a Promise resulting in a Response.
   * @param {string} [method='GET'] The HTTP method to match the Route
   * against.
   */
  constructor(e, t, n) {
    const a = ({ url: i }) => {
      const r = e.exec(i.href);
      if (r && !(i.origin !== location.origin && r.index !== 0))
        return r.slice(1);
    };
    super(a, t, n);
  }
}
const Y = (s) => new URL(String(s), location.href).href.replace(new RegExp(`^${location.origin}`), "");
class Z {
  /**
   * Initializes a new Router.
   */
  constructor() {
    this._routes = /* @__PURE__ */ new Map(), this._defaultHandlerMap = /* @__PURE__ */ new Map();
  }
  /**
   * @return {Map<string, Array<workbox-routing.Route>>} routes A `Map` of HTTP
   * method name ('GET', etc.) to an array of all the corresponding `Route`
   * instances that are registered.
   */
  get routes() {
    return this._routes;
  }
  /**
   * Adds a fetch event listener to respond to events when a route matches
   * the event's request.
   */
  addFetchListener() {
    self.addEventListener("fetch", (e) => {
      const { request: t } = e, n = this.handleRequest({ request: t, event: e });
      n && e.respondWith(n);
    });
  }
  /**
   * Adds a message event listener for URLs to cache from the window.
   * This is useful to cache resources loaded on the page prior to when the
   * service worker started controlling it.
   *
   * The format of the message data sent from the window should be as follows.
   * Where the `urlsToCache` array may consist of URL strings or an array of
   * URL string + `requestInit` object (the same as you'd pass to `fetch()`).
   *
   * ```
   * {
   *   type: 'CACHE_URLS',
   *   payload: {
   *     urlsToCache: [
   *       './script1.js',
   *       './script2.js',
   *       ['./script3.js', {mode: 'no-cors'}],
   *     ],
   *   },
   * }
   * ```
   */
  addCacheListener() {
    self.addEventListener("message", (e) => {
      if (e.data && e.data.type === "CACHE_URLS") {
        const { payload: t } = e.data, n = Promise.all(t.urlsToCache.map((a) => {
          typeof a == "string" && (a = [a]);
          const i = new Request(...a);
          return this.handleRequest({ request: i, event: e });
        }));
        e.waitUntil(n), e.ports && e.ports[0] && n.then(() => e.ports[0].postMessage(!0));
      }
    });
  }
  /**
   * Apply the routing rules to a FetchEvent object to get a Response from an
   * appropriate Route's handler.
   *
   * @param {Object} options
   * @param {Request} options.request The request to handle.
   * @param {ExtendableEvent} options.event The event that triggered the
   *     request.
   * @return {Promise<Response>|undefined} A promise is returned if a
   *     registered route can handle the request. If there is no matching
   *     route and there's no `defaultHandler`, `undefined` is returned.
   */
  handleRequest({ request: e, event: t }) {
    const n = new URL(e.url, location.href);
    if (!n.protocol.startsWith("http"))
      return;
    const a = n.origin === location.origin, { params: i, route: r } = this.findMatchingRoute({
      event: t,
      request: e,
      sameOrigin: a,
      url: n
    });
    let c = r && r.handler;
    const o = e.method;
    if (!c && this._defaultHandlerMap.has(o) && (c = this._defaultHandlerMap.get(o)), !c)
      return;
    let l;
    try {
      l = c.handle({ url: n, request: e, event: t, params: i });
    } catch (u) {
      l = Promise.reject(u);
    }
    const g = r && r.catchHandler;
    return l instanceof Promise && (this._catchHandler || g) && (l = l.catch(async (u) => {
      if (g)
        try {
          return await g.handle({ url: n, request: e, event: t, params: i });
        } catch (K) {
          K instanceof Error && (u = K);
        }
      if (this._catchHandler)
        return this._catchHandler.handle({ url: n, request: e, event: t });
      throw u;
    })), l;
  }
  /**
   * Checks a request and URL (and optionally an event) against the list of
   * registered routes, and if there's a match, returns the corresponding
   * route along with any params generated by the match.
   *
   * @param {Object} options
   * @param {URL} options.url
   * @param {boolean} options.sameOrigin The result of comparing `url.origin`
   *     against the current origin.
   * @param {Request} options.request The request to match.
   * @param {Event} options.event The corresponding event.
   * @return {Object} An object with `route` and `params` properties.
   *     They are populated if a matching route was found or `undefined`
   *     otherwise.
   */
  findMatchingRoute({ url: e, sameOrigin: t, request: n, event: a }) {
    const i = this._routes.get(n.method) || [];
    for (const r of i) {
      let c;
      const o = r.match({ url: e, sameOrigin: t, request: n, event: a });
      if (o)
        return c = o, (Array.isArray(c) && c.length === 0 || o.constructor === Object && // eslint-disable-line
        Object.keys(o).length === 0 || typeof o == "boolean") && (c = void 0), { route: r, params: c };
    }
    return {};
  }
  /**
   * Define a default `handler` that's called when no routes explicitly
   * match the incoming request.
   *
   * Each HTTP method ('GET', 'POST', etc.) gets its own default handler.
   *
   * Without a default handler, unmatched requests will go against the
   * network as if there were no service worker present.
   *
   * @param {workbox-routing~handlerCallback} handler A callback
   * function that returns a Promise resulting in a Response.
   * @param {string} [method='GET'] The HTTP method to associate with this
   * default handler. Each method has its own default.
   */
  setDefaultHandler(e, t = F) {
    this._defaultHandlerMap.set(t, C(e));
  }
  /**
   * If a Route throws an error while handling a request, this `handler`
   * will be called and given a chance to provide a response.
   *
   * @param {workbox-routing~handlerCallback} handler A callback
   * function that returns a Promise resulting in a Response.
   */
  setCatchHandler(e) {
    this._catchHandler = C(e);
  }
  /**
   * Registers a route with the router.
   *
   * @param {workbox-routing.Route} route The route to register.
   */
  registerRoute(e) {
    this._routes.has(e.method) || this._routes.set(e.method, []), this._routes.get(e.method).push(e);
  }
  /**
   * Unregisters a route with the router.
   *
   * @param {workbox-routing.Route} route The route to unregister.
   */
  unregisterRoute(e) {
    if (!this._routes.has(e.method))
      throw new h("unregister-route-but-not-found-with-method", {
        method: e.method
      });
    const t = this._routes.get(e.method).indexOf(e);
    if (t > -1)
      this._routes.get(e.method).splice(t, 1);
    else
      throw new h("unregister-route-route-not-registered");
  }
}
let w;
const ee = () => (w || (w = new Z(), w.addFetchListener(), w.addCacheListener()), w);
function x(s, e, t) {
  let n;
  if (typeof s == "string") {
    const i = new URL(s, location.href), r = ({ url: c }) => c.href === i.href;
    n = new b(r, e, t);
  } else if (s instanceof RegExp)
    n = new X(s, e, t);
  else if (typeof s == "function")
    n = new b(s, e, t);
  else if (s instanceof b)
    n = s;
  else
    throw new h("unsupported-route-type", {
      moduleName: "workbox-routing",
      funcName: "registerRoute",
      paramName: "capture"
    });
  return ee().registerRoute(n), n;
}
const d = {
  googleAnalytics: "googleAnalytics",
  precache: "precache-v2",
  prefix: "workbox",
  runtime: "runtime",
  suffix: typeof registration < "u" ? registration.scope : ""
}, k = (s) => [d.prefix, s, d.suffix].filter((e) => e && e.length > 0).join("-"), te = (s) => {
  for (const e of Object.keys(d))
    s(e);
}, E = {
  updateDetails: (s) => {
    te((e) => {
      typeof s[e] == "string" && (d[e] = s[e]);
    });
  },
  getGoogleAnalyticsName: (s) => s || k(d.googleAnalytics),
  getPrecacheName: (s) => s || k(d.precache),
  getPrefix: () => d.prefix,
  getRuntimeName: (s) => s || k(d.runtime),
  getSuffix: () => d.suffix
};
function S(s, e) {
  const t = new URL(s);
  for (const n of e)
    t.searchParams.delete(n);
  return t.href;
}
async function se(s, e, t, n) {
  const a = S(e.url, t);
  if (e.url === a)
    return s.match(e, n);
  const i = Object.assign(Object.assign({}, n), { ignoreSearch: !0 }), r = await s.keys(e, i);
  for (const c of r) {
    const o = S(c.url, t);
    if (a === o)
      return s.match(c, n);
  }
}
class ne {
  /**
   * Creates a promise and exposes its resolve and reject functions as methods.
   */
  constructor() {
    this.promise = new Promise((e, t) => {
      this.resolve = e, this.reject = t;
    });
  }
}
const H = /* @__PURE__ */ new Set();
async function ae() {
  for (const s of H)
    await s();
}
function ie(s) {
  return new Promise((e) => setTimeout(e, s));
}
try {
  self["workbox:strategies:7.0.0"] && _();
} catch {
}
function R(s) {
  return typeof s == "string" ? new Request(s) : s;
}
class re {
  /**
   * Creates a new instance associated with the passed strategy and event
   * that's handling the request.
   *
   * The constructor also initializes the state that will be passed to each of
   * the plugins handling this request.
   *
   * @param {workbox-strategies.Strategy} strategy
   * @param {Object} options
   * @param {Request|string} options.request A request to run this strategy for.
   * @param {ExtendableEvent} options.event The event associated with the
   *     request.
   * @param {URL} [options.url]
   * @param {*} [options.params] The return value from the
   *     {@link workbox-routing~matchCallback} (if applicable).
   */
  constructor(e, t) {
    this._cacheKeys = {}, Object.assign(this, t), this.event = t.event, this._strategy = e, this._handlerDeferred = new ne(), this._extendLifetimePromises = [], this._plugins = [...e.plugins], this._pluginStateMap = /* @__PURE__ */ new Map();
    for (const n of this._plugins)
      this._pluginStateMap.set(n, {});
    this.event.waitUntil(this._handlerDeferred.promise);
  }
  /**
   * Fetches a given request (and invokes any applicable plugin callback
   * methods) using the `fetchOptions` (for non-navigation requests) and
   * `plugins` defined on the `Strategy` object.
   *
   * The following plugin lifecycle methods are invoked when using this method:
   * - `requestWillFetch()`
   * - `fetchDidSucceed()`
   * - `fetchDidFail()`
   *
   * @param {Request|string} input The URL or request to fetch.
   * @return {Promise<Response>}
   */
  async fetch(e) {
    const { event: t } = this;
    let n = R(e);
    if (n.mode === "navigate" && t instanceof FetchEvent && t.preloadResponse) {
      const r = await t.preloadResponse;
      if (r)
        return r;
    }
    const a = this.hasCallback("fetchDidFail") ? n.clone() : null;
    try {
      for (const r of this.iterateCallbacks("requestWillFetch"))
        n = await r({ request: n.clone(), event: t });
    } catch (r) {
      if (r instanceof Error)
        throw new h("plugin-error-request-will-fetch", {
          thrownErrorMessage: r.message
        });
    }
    const i = n.clone();
    try {
      let r;
      r = await fetch(n, n.mode === "navigate" ? void 0 : this._strategy.fetchOptions);
      for (const c of this.iterateCallbacks("fetchDidSucceed"))
        r = await c({
          event: t,
          request: i,
          response: r
        });
      return r;
    } catch (r) {
      throw a && await this.runCallbacks("fetchDidFail", {
        error: r,
        event: t,
        originalRequest: a.clone(),
        request: i.clone()
      }), r;
    }
  }
  /**
   * Calls `this.fetch()` and (in the background) runs `this.cachePut()` on
   * the response generated by `this.fetch()`.
   *
   * The call to `this.cachePut()` automatically invokes `this.waitUntil()`,
   * so you do not have to manually call `waitUntil()` on the event.
   *
   * @param {Request|string} input The request or URL to fetch and cache.
   * @return {Promise<Response>}
   */
  async fetchAndCachePut(e) {
    const t = await this.fetch(e), n = t.clone();
    return this.waitUntil(this.cachePut(e, n)), t;
  }
  /**
   * Matches a request from the cache (and invokes any applicable plugin
   * callback methods) using the `cacheName`, `matchOptions`, and `plugins`
   * defined on the strategy object.
   *
   * The following plugin lifecycle methods are invoked when using this method:
   * - cacheKeyWillByUsed()
   * - cachedResponseWillByUsed()
   *
   * @param {Request|string} key The Request or URL to use as the cache key.
   * @return {Promise<Response|undefined>} A matching response, if found.
   */
  async cacheMatch(e) {
    const t = R(e);
    let n;
    const { cacheName: a, matchOptions: i } = this._strategy, r = await this.getCacheKey(t, "read"), c = Object.assign(Object.assign({}, i), { cacheName: a });
    n = await caches.match(r, c);
    for (const o of this.iterateCallbacks("cachedResponseWillBeUsed"))
      n = await o({
        cacheName: a,
        matchOptions: i,
        cachedResponse: n,
        request: r,
        event: this.event
      }) || void 0;
    return n;
  }
  /**
   * Puts a request/response pair in the cache (and invokes any applicable
   * plugin callback methods) using the `cacheName` and `plugins` defined on
   * the strategy object.
   *
   * The following plugin lifecycle methods are invoked when using this method:
   * - cacheKeyWillByUsed()
   * - cacheWillUpdate()
   * - cacheDidUpdate()
   *
   * @param {Request|string} key The request or URL to use as the cache key.
   * @param {Response} response The response to cache.
   * @return {Promise<boolean>} `false` if a cacheWillUpdate caused the response
   * not be cached, and `true` otherwise.
   */
  async cachePut(e, t) {
    const n = R(e);
    await ie(0);
    const a = await this.getCacheKey(n, "write");
    if (!t)
      throw new h("cache-put-with-no-response", {
        url: Y(a.url)
      });
    const i = await this._ensureResponseSafeToCache(t);
    if (!i)
      return !1;
    const { cacheName: r, matchOptions: c } = this._strategy, o = await self.caches.open(r), l = this.hasCallback("cacheDidUpdate"), g = l ? await se(
      // TODO(philipwalton): the `__WB_REVISION__` param is a precaching
      // feature. Consider into ways to only add this behavior if using
      // precaching.
      o,
      a.clone(),
      ["__WB_REVISION__"],
      c
    ) : null;
    try {
      await o.put(a, l ? i.clone() : i);
    } catch (u) {
      if (u instanceof Error)
        throw u.name === "QuotaExceededError" && await ae(), u;
    }
    for (const u of this.iterateCallbacks("cacheDidUpdate"))
      await u({
        cacheName: r,
        oldResponse: g,
        newResponse: i.clone(),
        request: a,
        event: this.event
      });
    return !0;
  }
  /**
   * Checks the list of plugins for the `cacheKeyWillBeUsed` callback, and
   * executes any of those callbacks found in sequence. The final `Request`
   * object returned by the last plugin is treated as the cache key for cache
   * reads and/or writes. If no `cacheKeyWillBeUsed` plugin callbacks have
   * been registered, the passed request is returned unmodified
   *
   * @param {Request} request
   * @param {string} mode
   * @return {Promise<Request>}
   */
  async getCacheKey(e, t) {
    const n = `${e.url} | ${t}`;
    if (!this._cacheKeys[n]) {
      let a = e;
      for (const i of this.iterateCallbacks("cacheKeyWillBeUsed"))
        a = R(await i({
          mode: t,
          request: a,
          event: this.event,
          // params has a type any can't change right now.
          params: this.params
          // eslint-disable-line
        }));
      this._cacheKeys[n] = a;
    }
    return this._cacheKeys[n];
  }
  /**
   * Returns true if the strategy has at least one plugin with the given
   * callback.
   *
   * @param {string} name The name of the callback to check for.
   * @return {boolean}
   */
  hasCallback(e) {
    for (const t of this._strategy.plugins)
      if (e in t)
        return !0;
    return !1;
  }
  /**
   * Runs all plugin callbacks matching the given name, in order, passing the
   * given param object (merged ith the current plugin state) as the only
   * argument.
   *
   * Note: since this method runs all plugins, it's not suitable for cases
   * where the return value of a callback needs to be applied prior to calling
   * the next callback. See
   * {@link workbox-strategies.StrategyHandler#iterateCallbacks}
   * below for how to handle that case.
   *
   * @param {string} name The name of the callback to run within each plugin.
   * @param {Object} param The object to pass as the first (and only) param
   *     when executing each callback. This object will be merged with the
   *     current plugin state prior to callback execution.
   */
  async runCallbacks(e, t) {
    for (const n of this.iterateCallbacks(e))
      await n(t);
  }
  /**
   * Accepts a callback and returns an iterable of matching plugin callbacks,
   * where each callback is wrapped with the current handler state (i.e. when
   * you call each callback, whatever object parameter you pass it will
   * be merged with the plugin's current state).
   *
   * @param {string} name The name fo the callback to run
   * @return {Array<Function>}
   */
  *iterateCallbacks(e) {
    for (const t of this._strategy.plugins)
      if (typeof t[e] == "function") {
        const n = this._pluginStateMap.get(t);
        yield (i) => {
          const r = Object.assign(Object.assign({}, i), { state: n });
          return t[e](r);
        };
      }
  }
  /**
   * Adds a promise to the
   * [extend lifetime promises]{@link https://w3c.github.io/ServiceWorker/#extendableevent-extend-lifetime-promises}
   * of the event event associated with the request being handled (usually a
   * `FetchEvent`).
   *
   * Note: you can await
   * {@link workbox-strategies.StrategyHandler~doneWaiting}
   * to know when all added promises have settled.
   *
   * @param {Promise} promise A promise to add to the extend lifetime promises
   *     of the event that triggered the request.
   */
  waitUntil(e) {
    return this._extendLifetimePromises.push(e), e;
  }
  /**
   * Returns a promise that resolves once all promises passed to
   * {@link workbox-strategies.StrategyHandler~waitUntil}
   * have settled.
   *
   * Note: any work done after `doneWaiting()` settles should be manually
   * passed to an event's `waitUntil()` method (not this handler's
   * `waitUntil()` method), otherwise the service worker thread my be killed
   * prior to your work completing.
   */
  async doneWaiting() {
    let e;
    for (; e = this._extendLifetimePromises.shift(); )
      await e;
  }
  /**
   * Stops running the strategy and immediately resolves any pending
   * `waitUntil()` promises.
   */
  destroy() {
    this._handlerDeferred.resolve(null);
  }
  /**
   * This method will call cacheWillUpdate on the available plugins (or use
   * status === 200) to determine if the Response is safe and valid to cache.
   *
   * @param {Request} options.request
   * @param {Response} options.response
   * @return {Promise<Response|undefined>}
   *
   * @private
   */
  async _ensureResponseSafeToCache(e) {
    let t = e, n = !1;
    for (const a of this.iterateCallbacks("cacheWillUpdate"))
      if (t = await a({
        request: this.request,
        response: t,
        event: this.event
      }) || void 0, n = !0, !t)
        break;
    return n || t && t.status !== 200 && (t = void 0), t;
  }
}
class U {
  /**
   * Creates a new instance of the strategy and sets all documented option
   * properties as public instance properties.
   *
   * Note: if a custom strategy class extends the base Strategy class and does
   * not need more than these properties, it does not need to define its own
   * constructor.
   *
   * @param {Object} [options]
   * @param {string} [options.cacheName] Cache name to store and retrieve
   * requests. Defaults to the cache names provided by
   * {@link workbox-core.cacheNames}.
   * @param {Array<Object>} [options.plugins] [Plugins]{@link https://developers.google.com/web/tools/workbox/guides/using-plugins}
   * to use in conjunction with this caching strategy.
   * @param {Object} [options.fetchOptions] Values passed along to the
   * [`init`](https://developer.mozilla.org/en-US/docs/Web/API/WindowOrWorkerGlobalScope/fetch#Parameters)
   * of [non-navigation](https://github.com/GoogleChrome/workbox/issues/1796)
   * `fetch()` requests made by this strategy.
   * @param {Object} [options.matchOptions] The
   * [`CacheQueryOptions`]{@link https://w3c.github.io/ServiceWorker/#dictdef-cachequeryoptions}
   * for any `cache.match()` or `cache.put()` calls made by this strategy.
   */
  constructor(e = {}) {
    this.cacheName = E.getRuntimeName(e.cacheName), this.plugins = e.plugins || [], this.fetchOptions = e.fetchOptions, this.matchOptions = e.matchOptions;
  }
  /**
   * Perform a request strategy and returns a `Promise` that will resolve with
   * a `Response`, invoking all relevant plugin callbacks.
   *
   * When a strategy instance is registered with a Workbox
   * {@link workbox-routing.Route}, this method is automatically
   * called when the route matches.
   *
   * Alternatively, this method can be used in a standalone `FetchEvent`
   * listener by passing it to `event.respondWith()`.
   *
   * @param {FetchEvent|Object} options A `FetchEvent` or an object with the
   *     properties listed below.
   * @param {Request|string} options.request A request to run this strategy for.
   * @param {ExtendableEvent} options.event The event associated with the
   *     request.
   * @param {URL} [options.url]
   * @param {*} [options.params]
   */
  handle(e) {
    const [t] = this.handleAll(e);
    return t;
  }
  /**
   * Similar to {@link workbox-strategies.Strategy~handle}, but
   * instead of just returning a `Promise` that resolves to a `Response` it
   * it will return an tuple of `[response, done]` promises, where the former
   * (`response`) is equivalent to what `handle()` returns, and the latter is a
   * Promise that will resolve once any promises that were added to
   * `event.waitUntil()` as part of performing the strategy have completed.
   *
   * You can await the `done` promise to ensure any extra work performed by
   * the strategy (usually caching responses) completes successfully.
   *
   * @param {FetchEvent|Object} options A `FetchEvent` or an object with the
   *     properties listed below.
   * @param {Request|string} options.request A request to run this strategy for.
   * @param {ExtendableEvent} options.event The event associated with the
   *     request.
   * @param {URL} [options.url]
   * @param {*} [options.params]
   * @return {Array<Promise>} A tuple of [response, done]
   *     promises that can be used to determine when the response resolves as
   *     well as when the handler has completed all its work.
   */
  handleAll(e) {
    e instanceof FetchEvent && (e = {
      event: e,
      request: e.request
    });
    const t = e.event, n = typeof e.request == "string" ? new Request(e.request) : e.request, a = "params" in e ? e.params : void 0, i = new re(this, { event: t, request: n, params: a }), r = this._getResponse(i, n, t), c = this._awaitComplete(r, i, n, t);
    return [r, c];
  }
  async _getResponse(e, t, n) {
    await e.runCallbacks("handlerWillStart", { event: n, request: t });
    let a;
    try {
      if (a = await this._handle(t, e), !a || a.type === "error")
        throw new h("no-response", { url: t.url });
    } catch (i) {
      if (i instanceof Error) {
        for (const r of e.iterateCallbacks("handlerDidError"))
          if (a = await r({ error: i, event: n, request: t }), a)
            break;
      }
      if (!a)
        throw i;
    }
    for (const i of e.iterateCallbacks("handlerWillRespond"))
      a = await i({ event: n, request: t, response: a });
    return a;
  }
  async _awaitComplete(e, t, n, a) {
    let i, r;
    try {
      i = await e;
    } catch {
    }
    try {
      await t.runCallbacks("handlerDidRespond", {
        event: a,
        request: n,
        response: i
      }), await t.doneWaiting();
    } catch (c) {
      c instanceof Error && (r = c);
    }
    if (await t.runCallbacks("handlerDidComplete", {
      event: a,
      request: n,
      response: i,
      error: r
    }), t.destroy(), r)
      throw r;
  }
}
class ce extends U {
  /**
   * @private
   * @param {Request|string} request A request to run this strategy for.
   * @param {workbox-strategies.StrategyHandler} handler The event that
   *     triggered the request.
   * @return {Promise<Response>}
   */
  async _handle(e, t) {
    let n = await t.cacheMatch(e), a;
    if (!n)
      try {
        n = await t.fetchAndCachePut(e);
      } catch (i) {
        i instanceof Error && (a = i);
      }
    if (!n)
      throw new h("no-response", { url: e.url, error: a });
    return n;
  }
}
const q = {
  /**
   * Returns a valid response (to allow caching) if the status is 200 (OK) or
   * 0 (opaque).
   *
   * @param {Object} options
   * @param {Response} options.response
   * @return {Response|null}
   *
   * @private
   */
  cacheWillUpdate: async ({ response: s }) => s.status === 200 || s.status === 0 ? s : null
};
class oe extends U {
  /**
   * @param {Object} [options]
   * @param {string} [options.cacheName] Cache name to store and retrieve
   * requests. Defaults to cache names provided by
   * {@link workbox-core.cacheNames}.
   * @param {Array<Object>} [options.plugins] [Plugins]{@link https://developers.google.com/web/tools/workbox/guides/using-plugins}
   * to use in conjunction with this caching strategy.
   * @param {Object} [options.fetchOptions] Values passed along to the
   * [`init`](https://developer.mozilla.org/en-US/docs/Web/API/WindowOrWorkerGlobalScope/fetch#Parameters)
   * of [non-navigation](https://github.com/GoogleChrome/workbox/issues/1796)
   * `fetch()` requests made by this strategy.
   * @param {Object} [options.matchOptions] [`CacheQueryOptions`](https://w3c.github.io/ServiceWorker/#dictdef-cachequeryoptions)
   * @param {number} [options.networkTimeoutSeconds] If set, any network requests
   * that fail to respond within the timeout will fallback to the cache.
   *
   * This option can be used to combat
   * "[lie-fi]{@link https://developers.google.com/web/fundamentals/performance/poor-connectivity/#lie-fi}"
   * scenarios.
   */
  constructor(e = {}) {
    super(e), this.plugins.some((t) => "cacheWillUpdate" in t) || this.plugins.unshift(q), this._networkTimeoutSeconds = e.networkTimeoutSeconds || 0;
  }
  /**
   * @private
   * @param {Request|string} request A request to run this strategy for.
   * @param {workbox-strategies.StrategyHandler} handler The event that
   *     triggered the request.
   * @return {Promise<Response>}
   */
  async _handle(e, t) {
    const n = [], a = [];
    let i;
    if (this._networkTimeoutSeconds) {
      const { id: o, promise: l } = this._getTimeoutPromise({ request: e, logs: n, handler: t });
      i = o, a.push(l);
    }
    const r = this._getNetworkPromise({
      timeoutId: i,
      request: e,
      logs: n,
      handler: t
    });
    a.push(r);
    const c = await t.waitUntil((async () => await t.waitUntil(Promise.race(a)) || // If Promise.race() resolved with null, it might be due to a network
    // timeout + a cache miss. If that were to happen, we'd rather wait until
    // the networkPromise resolves instead of returning null.
    // Note that it's fine to await an already-resolved promise, so we don't
    // have to check to see if it's still "in flight".
    await r)());
    if (!c)
      throw new h("no-response", { url: e.url });
    return c;
  }
  /**
   * @param {Object} options
   * @param {Request} options.request
   * @param {Array} options.logs A reference to the logs array
   * @param {Event} options.event
   * @return {Promise<Response>}
   *
   * @private
   */
  _getTimeoutPromise({ request: e, logs: t, handler: n }) {
    let a;
    return {
      promise: new Promise((r) => {
        a = setTimeout(async () => {
          r(await n.cacheMatch(e));
        }, this._networkTimeoutSeconds * 1e3);
      }),
      id: a
    };
  }
  /**
   * @param {Object} options
   * @param {number|undefined} options.timeoutId
   * @param {Request} options.request
   * @param {Array} options.logs A reference to the logs Array.
   * @param {Event} options.event
   * @return {Promise<Response>}
   *
   * @private
   */
  async _getNetworkPromise({ timeoutId: e, request: t, logs: n, handler: a }) {
    let i, r;
    try {
      r = await a.fetchAndCachePut(t);
    } catch (c) {
      c instanceof Error && (i = c);
    }
    return e && clearTimeout(e), (i || !r) && (r = await a.cacheMatch(t)), r;
  }
}
class le extends U {
  /**
   * @param {Object} [options]
   * @param {string} [options.cacheName] Cache name to store and retrieve
   * requests. Defaults to cache names provided by
   * {@link workbox-core.cacheNames}.
   * @param {Array<Object>} [options.plugins] [Plugins]{@link https://developers.google.com/web/tools/workbox/guides/using-plugins}
   * to use in conjunction with this caching strategy.
   * @param {Object} [options.fetchOptions] Values passed along to the
   * [`init`](https://developer.mozilla.org/en-US/docs/Web/API/WindowOrWorkerGlobalScope/fetch#Parameters)
   * of [non-navigation](https://github.com/GoogleChrome/workbox/issues/1796)
   * `fetch()` requests made by this strategy.
   * @param {Object} [options.matchOptions] [`CacheQueryOptions`](https://w3c.github.io/ServiceWorker/#dictdef-cachequeryoptions)
   */
  constructor(e = {}) {
    super(e), this.plugins.some((t) => "cacheWillUpdate" in t) || this.plugins.unshift(q);
  }
  /**
   * @private
   * @param {Request|string} request A request to run this strategy for.
   * @param {workbox-strategies.StrategyHandler} handler The event that
   *     triggered the request.
   * @return {Promise<Response>}
   */
  async _handle(e, t) {
    const n = t.fetchAndCachePut(e).catch(() => {
    });
    t.waitUntil(n);
    let a = await t.cacheMatch(e), i;
    if (!a)
      try {
        a = await n;
      } catch (r) {
        r instanceof Error && (i = r);
      }
    if (!a)
      throw new h("no-response", { url: e.url, error: i });
    return a;
  }
}
try {
  self["workbox:cacheable-response:7.0.0"] && _();
} catch {
}
class he {
  /**
   * To construct a new CacheableResponse instance you must provide at least
   * one of the `config` properties.
   *
   * If both `statuses` and `headers` are specified, then both conditions must
   * be met for the `Response` to be considered cacheable.
   *
   * @param {Object} config
   * @param {Array<number>} [config.statuses] One or more status codes that a
   * `Response` can have and be considered cacheable.
   * @param {Object<string,string>} [config.headers] A mapping of header names
   * and expected values that a `Response` can have and be considered cacheable.
   * If multiple headers are provided, only one needs to be present.
   */
  constructor(e = {}) {
    this._statuses = e.statuses, this._headers = e.headers;
  }
  /**
   * Checks a response to see whether it's cacheable or not, based on this
   * object's configuration.
   *
   * @param {Response} response The response whose cacheability is being
   * checked.
   * @return {boolean} `true` if the `Response` is cacheable, and `false`
   * otherwise.
   */
  isResponseCacheable(e) {
    let t = !0;
    return this._statuses && (t = this._statuses.includes(e.status)), this._headers && t && (t = Object.keys(this._headers).some((n) => e.headers.get(n) === this._headers[n])), t;
  }
}
class I {
  /**
   * To construct a new CacheableResponsePlugin instance you must provide at
   * least one of the `config` properties.
   *
   * If both `statuses` and `headers` are specified, then both conditions must
   * be met for the `Response` to be considered cacheable.
   *
   * @param {Object} config
   * @param {Array<number>} [config.statuses] One or more status codes that a
   * `Response` can have and be considered cacheable.
   * @param {Object<string,string>} [config.headers] A mapping of header names
   * and expected values that a `Response` can have and be considered cacheable.
   * If multiple headers are provided, only one needs to be present.
   */
  constructor(e) {
    this.cacheWillUpdate = async ({ response: t }) => this._cacheableResponse.isResponseCacheable(t) ? t : null, this._cacheableResponse = new he(e);
  }
}
function V(s) {
  s.then(() => {
  });
}
const ue = (s, e) => e.some((t) => s instanceof t);
let O, v;
function de() {
  return O || (O = [
    IDBDatabase,
    IDBObjectStore,
    IDBIndex,
    IDBCursor,
    IDBTransaction
  ]);
}
function fe() {
  return v || (v = [
    IDBCursor.prototype.advance,
    IDBCursor.prototype.continue,
    IDBCursor.prototype.continuePrimaryKey
  ]);
}
const $ = /* @__PURE__ */ new WeakMap(), M = /* @__PURE__ */ new WeakMap(), Q = /* @__PURE__ */ new WeakMap(), D = /* @__PURE__ */ new WeakMap(), A = /* @__PURE__ */ new WeakMap();
function pe(s) {
  const e = new Promise((t, n) => {
    const a = () => {
      s.removeEventListener("success", i), s.removeEventListener("error", r);
    }, i = () => {
      t(f(s.result)), a();
    }, r = () => {
      n(s.error), a();
    };
    s.addEventListener("success", i), s.addEventListener("error", r);
  });
  return e.then((t) => {
    t instanceof IDBCursor && $.set(t, s);
  }).catch(() => {
  }), A.set(e, s), e;
}
function ge(s) {
  if (M.has(s))
    return;
  const e = new Promise((t, n) => {
    const a = () => {
      s.removeEventListener("complete", i), s.removeEventListener("error", r), s.removeEventListener("abort", r);
    }, i = () => {
      t(), a();
    }, r = () => {
      n(s.error || new DOMException("AbortError", "AbortError")), a();
    };
    s.addEventListener("complete", i), s.addEventListener("error", r), s.addEventListener("abort", r);
  });
  M.set(s, e);
}
let N = {
  get(s, e, t) {
    if (s instanceof IDBTransaction) {
      if (e === "done")
        return M.get(s);
      if (e === "objectStoreNames")
        return s.objectStoreNames || Q.get(s);
      if (e === "store")
        return t.objectStoreNames[1] ? void 0 : t.objectStore(t.objectStoreNames[0]);
    }
    return f(s[e]);
  },
  set(s, e, t) {
    return s[e] = t, !0;
  },
  has(s, e) {
    return s instanceof IDBTransaction && (e === "done" || e === "store") ? !0 : e in s;
  }
};
function we(s) {
  N = s(N);
}
function me(s) {
  return s === IDBDatabase.prototype.transaction && !("objectStoreNames" in IDBTransaction.prototype) ? function(e, ...t) {
    const n = s.call(L(this), e, ...t);
    return Q.set(n, e.sort ? e.sort() : [e]), f(n);
  } : fe().includes(s) ? function(...e) {
    return s.apply(L(this), e), f($.get(this));
  } : function(...e) {
    return f(s.apply(L(this), e));
  };
}
function ye(s) {
  return typeof s == "function" ? me(s) : (s instanceof IDBTransaction && ge(s), ue(s, de()) ? new Proxy(s, N) : s);
}
function f(s) {
  if (s instanceof IDBRequest)
    return pe(s);
  if (D.has(s))
    return D.get(s);
  const e = ye(s);
  return e !== s && (D.set(s, e), A.set(e, s)), e;
}
const L = (s) => A.get(s);
function _e(s, e, { blocked: t, upgrade: n, blocking: a, terminated: i } = {}) {
  const r = indexedDB.open(s, e), c = f(r);
  return n && r.addEventListener("upgradeneeded", (o) => {
    n(f(r.result), o.oldVersion, o.newVersion, f(r.transaction), o);
  }), t && r.addEventListener("blocked", (o) => t(
    // Casting due to https://github.com/microsoft/TypeScript-DOM-lib-generator/pull/1405
    o.oldVersion,
    o.newVersion,
    o
  )), c.then((o) => {
    i && o.addEventListener("close", () => i()), a && o.addEventListener("versionchange", (l) => a(l.oldVersion, l.newVersion, l));
  }).catch(() => {
  }), c;
}
function be(s, { blocked: e } = {}) {
  const t = indexedDB.deleteDatabase(s);
  return e && t.addEventListener("blocked", (n) => e(
    // Casting due to https://github.com/microsoft/TypeScript-DOM-lib-generator/pull/1405
    n.oldVersion,
    n
  )), f(t).then(() => {
  });
}
const Re = ["get", "getKey", "getAll", "getAllKeys", "count"], Ce = ["put", "add", "delete", "clear"], P = /* @__PURE__ */ new Map();
function W(s, e) {
  if (!(s instanceof IDBDatabase && !(e in s) && typeof e == "string"))
    return;
  if (P.get(e))
    return P.get(e);
  const t = e.replace(/FromIndex$/, ""), n = e !== t, a = Ce.includes(t);
  if (
    // Bail if the target doesn't exist on the target. Eg, getAll isn't in Edge.
    !(t in (n ? IDBIndex : IDBObjectStore).prototype) || !(a || Re.includes(t))
  )
    return;
  const i = async function(r, ...c) {
    const o = this.transaction(r, a ? "readwrite" : "readonly");
    let l = o.store;
    return n && (l = l.index(c.shift())), (await Promise.all([
      l[t](...c),
      a && o.done
    ]))[0];
  };
  return P.set(e, i), i;
}
we((s) => ({
  ...s,
  get: (e, t, n) => W(e, t) || s.get(e, t, n),
  has: (e, t) => !!W(e, t) || s.has(e, t)
}));
try {
  self["workbox:expiration:7.0.0"] && _();
} catch {
}
const xe = "workbox-expiration", m = "cache-entries", B = (s) => {
  const e = new URL(s, location.href);
  return e.hash = "", e.href;
};
class Ee {
  /**
   *
   * @param {string} cacheName
   *
   * @private
   */
  constructor(e) {
    this._db = null, this._cacheName = e;
  }
  /**
   * Performs an upgrade of indexedDB.
   *
   * @param {IDBPDatabase<CacheDbSchema>} db
   *
   * @private
   */
  _upgradeDb(e) {
    const t = e.createObjectStore(m, { keyPath: "id" });
    t.createIndex("cacheName", "cacheName", { unique: !1 }), t.createIndex("timestamp", "timestamp", { unique: !1 });
  }
  /**
   * Performs an upgrade of indexedDB and deletes deprecated DBs.
   *
   * @param {IDBPDatabase<CacheDbSchema>} db
   *
   * @private
   */
  _upgradeDbAndDeleteOldDbs(e) {
    this._upgradeDb(e), this._cacheName && be(this._cacheName);
  }
  /**
   * @param {string} url
   * @param {number} timestamp
   *
   * @private
   */
  async setTimestamp(e, t) {
    e = B(e);
    const n = {
      url: e,
      timestamp: t,
      cacheName: this._cacheName,
      // Creating an ID from the URL and cache name won't be necessary once
      // Edge switches to Chromium and all browsers we support work with
      // array keyPaths.
      id: this._getId(e)
    }, i = (await this.getDb()).transaction(m, "readwrite", {
      durability: "relaxed"
    });
    await i.store.put(n), await i.done;
  }
  /**
   * Returns the timestamp stored for a given URL.
   *
   * @param {string} url
   * @return {number | undefined}
   *
   * @private
   */
  async getTimestamp(e) {
    const n = await (await this.getDb()).get(m, this._getId(e));
    return n == null ? void 0 : n.timestamp;
  }
  /**
   * Iterates through all the entries in the object store (from newest to
   * oldest) and removes entries once either `maxCount` is reached or the
   * entry's timestamp is less than `minTimestamp`.
   *
   * @param {number} minTimestamp
   * @param {number} maxCount
   * @return {Array<string>}
   *
   * @private
   */
  async expireEntries(e, t) {
    const n = await this.getDb();
    let a = await n.transaction(m).store.index("timestamp").openCursor(null, "prev");
    const i = [];
    let r = 0;
    for (; a; ) {
      const o = a.value;
      o.cacheName === this._cacheName && (e && o.timestamp < e || t && r >= t ? i.push(a.value) : r++), a = await a.continue();
    }
    const c = [];
    for (const o of i)
      await n.delete(m, o.id), c.push(o.url);
    return c;
  }
  /**
   * Takes a URL and returns an ID that will be unique in the object store.
   *
   * @param {string} url
   * @return {string}
   *
   * @private
   */
  _getId(e) {
    return this._cacheName + "|" + B(e);
  }
  /**
   * Returns an open connection to the database.
   *
   * @private
   */
  async getDb() {
    return this._db || (this._db = await _e(xe, 1, {
      upgrade: this._upgradeDbAndDeleteOldDbs.bind(this)
    })), this._db;
  }
}
class Ue {
  /**
   * To construct a new CacheExpiration instance you must provide at least
   * one of the `config` properties.
   *
   * @param {string} cacheName Name of the cache to apply restrictions to.
   * @param {Object} config
   * @param {number} [config.maxEntries] The maximum number of entries to cache.
   * Entries used the least will be removed as the maximum is reached.
   * @param {number} [config.maxAgeSeconds] The maximum age of an entry before
   * it's treated as stale and removed.
   * @param {Object} [config.matchOptions] The [`CacheQueryOptions`](https://developer.mozilla.org/en-US/docs/Web/API/Cache/delete#Parameters)
   * that will be used when calling `delete()` on the cache.
   */
  constructor(e, t = {}) {
    this._isRunning = !1, this._rerunRequested = !1, this._maxEntries = t.maxEntries, this._maxAgeSeconds = t.maxAgeSeconds, this._matchOptions = t.matchOptions, this._cacheName = e, this._timestampModel = new Ee(e);
  }
  /**
   * Expires entries for the given cache and given criteria.
   */
  async expireEntries() {
    if (this._isRunning) {
      this._rerunRequested = !0;
      return;
    }
    this._isRunning = !0;
    const e = this._maxAgeSeconds ? Date.now() - this._maxAgeSeconds * 1e3 : 0, t = await this._timestampModel.expireEntries(e, this._maxEntries), n = await self.caches.open(this._cacheName);
    for (const a of t)
      await n.delete(a, this._matchOptions);
    this._isRunning = !1, this._rerunRequested && (this._rerunRequested = !1, V(this.expireEntries()));
  }
  /**
   * Update the timestamp for the given URL. This ensures the when
   * removing entries based on maximum entries, most recently used
   * is accurate or when expiring, the timestamp is up-to-date.
   *
   * @param {string} url
   */
  async updateTimestamp(e) {
    await this._timestampModel.setTimestamp(e, Date.now());
  }
  /**
   * Can be used to check if a URL has expired or not before it's used.
   *
   * This requires a look up from IndexedDB, so can be slow.
   *
   * Note: This method will not remove the cached entry, call
   * `expireEntries()` to remove indexedDB and Cache entries.
   *
   * @param {string} url
   * @return {boolean}
   */
  async isURLExpired(e) {
    if (this._maxAgeSeconds) {
      const t = await this._timestampModel.getTimestamp(e), n = Date.now() - this._maxAgeSeconds * 1e3;
      return t !== void 0 ? t < n : !0;
    } else
      return !1;
  }
  /**
   * Removes the IndexedDB object store used to keep track of cache expiration
   * metadata.
   */
  async delete() {
    this._rerunRequested = !1, await this._timestampModel.expireEntries(1 / 0);
  }
}
function ke(s) {
  H.add(s);
}
class De {
  /**
   * @param {ExpirationPluginOptions} config
   * @param {number} [config.maxEntries] The maximum number of entries to cache.
   * Entries used the least will be removed as the maximum is reached.
   * @param {number} [config.maxAgeSeconds] The maximum age of an entry before
   * it's treated as stale and removed.
   * @param {Object} [config.matchOptions] The [`CacheQueryOptions`](https://developer.mozilla.org/en-US/docs/Web/API/Cache/delete#Parameters)
   * that will be used when calling `delete()` on the cache.
   * @param {boolean} [config.purgeOnQuotaError] Whether to opt this cache in to
   * automatic deletion if the available storage quota has been exceeded.
   */
  constructor(e = {}) {
    this.cachedResponseWillBeUsed = async ({ event: t, request: n, cacheName: a, cachedResponse: i }) => {
      if (!i)
        return null;
      const r = this._isResponseDateFresh(i), c = this._getCacheExpiration(a);
      V(c.expireEntries());
      const o = c.updateTimestamp(n.url);
      if (t)
        try {
          t.waitUntil(o);
        } catch {
        }
      return r ? i : null;
    }, this.cacheDidUpdate = async ({ cacheName: t, request: n }) => {
      const a = this._getCacheExpiration(t);
      await a.updateTimestamp(n.url), await a.expireEntries();
    }, this._config = e, this._maxAgeSeconds = e.maxAgeSeconds, this._cacheExpirations = /* @__PURE__ */ new Map(), e.purgeOnQuotaError && ke(() => this.deleteCacheAndMetadata());
  }
  /**
   * A simple helper method to return a CacheExpiration instance for a given
   * cache name.
   *
   * @param {string} cacheName
   * @return {CacheExpiration}
   *
   * @private
   */
  _getCacheExpiration(e) {
    if (e === E.getRuntimeName())
      throw new h("expire-custom-caches-only");
    let t = this._cacheExpirations.get(e);
    return t || (t = new Ue(e, this._config), this._cacheExpirations.set(e, t)), t;
  }
  /**
   * @param {Response} cachedResponse
   * @return {boolean}
   *
   * @private
   */
  _isResponseDateFresh(e) {
    if (!this._maxAgeSeconds)
      return !0;
    const t = this._getDateHeaderTimestamp(e);
    if (t === null)
      return !0;
    const n = Date.now();
    return t >= n - this._maxAgeSeconds * 1e3;
  }
  /**
   * This method will extract the data header and parse it into a useful
   * value.
   *
   * @param {Response} cachedResponse
   * @return {number|null}
   *
   * @private
   */
  _getDateHeaderTimestamp(e) {
    if (!e.headers.has("date"))
      return null;
    const t = e.headers.get("date"), a = new Date(t).getTime();
    return isNaN(a) ? null : a;
  }
  /**
   * This is a helper method that performs two operations:
   *
   * - Deletes *all* the underlying Cache instances associated with this plugin
   * instance, by calling caches.delete() on your behalf.
   * - Deletes the metadata from IndexedDB used to keep track of expiration
   * details for each Cache instance.
   *
   * When using cache expiration, calling this method is preferable to calling
   * `caches.delete()` directly, since this will ensure that the IndexedDB
   * metadata is also cleanly removed and open IndexedDB instances are deleted.
   *
   * Note that if you're *not* using cache expiration for a given cache, calling
   * `caches.delete()` and passing in the cache's name should be sufficient.
   * There is no Workbox-specific method needed for cleanup in that case.
   */
  async deleteCacheAndMetadata() {
    for (const [e, t] of this._cacheExpirations)
      await self.caches.delete(e), await t.delete();
    this._cacheExpirations = /* @__PURE__ */ new Map();
  }
}
function j(s, e) {
  const t = e();
  return s.waitUntil(t), t;
}
try {
  self["workbox:precaching:7.0.0"] && _();
} catch {
}
const Le = "__WB_REVISION__";
function Pe(s) {
  if (!s)
    throw new h("add-to-cache-list-unexpected-type", { entry: s });
  if (typeof s == "string") {
    const i = new URL(s, location.href);
    return {
      cacheKey: i.href,
      url: i.href
    };
  }
  const { revision: e, url: t } = s;
  if (!t)
    throw new h("add-to-cache-list-unexpected-type", { entry: s });
  if (!e) {
    const i = new URL(t, location.href);
    return {
      cacheKey: i.href,
      url: i.href
    };
  }
  const n = new URL(t, location.href), a = new URL(t, location.href);
  return n.searchParams.set(Le, e), {
    cacheKey: n.href,
    url: a.href
  };
}
class Te {
  constructor() {
    this.updatedURLs = [], this.notUpdatedURLs = [], this.handlerWillStart = async ({ request: e, state: t }) => {
      t && (t.originalRequest = e);
    }, this.cachedResponseWillBeUsed = async ({ event: e, state: t, cachedResponse: n }) => {
      if (e.type === "install" && t && t.originalRequest && t.originalRequest instanceof Request) {
        const a = t.originalRequest.url;
        n ? this.notUpdatedURLs.push(a) : this.updatedURLs.push(a);
      }
      return n;
    };
  }
}
class Me {
  constructor({ precacheController: e }) {
    this.cacheKeyWillBeUsed = async ({ request: t, params: n }) => {
      const a = (n == null ? void 0 : n.cacheKey) || this._precacheController.getCacheKeyForURL(t.url);
      return a ? new Request(a, { headers: t.headers }) : t;
    }, this._precacheController = e;
  }
}
let y;
function Ne() {
  if (y === void 0) {
    const s = new Response("");
    if ("body" in s)
      try {
        new Response(s.body), y = !0;
      } catch {
        y = !1;
      }
    y = !1;
  }
  return y;
}
async function Ie(s, e) {
  let t = null;
  if (s.url && (t = new URL(s.url).origin), t !== self.location.origin)
    throw new h("cross-origin-copy-response", { origin: t });
  const n = s.clone(), a = {
    headers: new Headers(n.headers),
    status: n.status,
    statusText: n.statusText
  }, i = e ? e(a) : a, r = Ne() ? n.body : await n.blob();
  return new Response(r, i);
}
class p extends U {
  /**
   *
   * @param {Object} [options]
   * @param {string} [options.cacheName] Cache name to store and retrieve
   * requests. Defaults to the cache names provided by
   * {@link workbox-core.cacheNames}.
   * @param {Array<Object>} [options.plugins] {@link https://developers.google.com/web/tools/workbox/guides/using-plugins|Plugins}
   * to use in conjunction with this caching strategy.
   * @param {Object} [options.fetchOptions] Values passed along to the
   * {@link https://developer.mozilla.org/en-US/docs/Web/API/WindowOrWorkerGlobalScope/fetch#Parameters|init}
   * of all fetch() requests made by this strategy.
   * @param {Object} [options.matchOptions] The
   * {@link https://w3c.github.io/ServiceWorker/#dictdef-cachequeryoptions|CacheQueryOptions}
   * for any `cache.match()` or `cache.put()` calls made by this strategy.
   * @param {boolean} [options.fallbackToNetwork=true] Whether to attempt to
   * get the response from the network if there's a precache miss.
   */
  constructor(e = {}) {
    e.cacheName = E.getPrecacheName(e.cacheName), super(e), this._fallbackToNetwork = e.fallbackToNetwork !== !1, this.plugins.push(p.copyRedirectedCacheableResponsesPlugin);
  }
  /**
   * @private
   * @param {Request|string} request A request to run this strategy for.
   * @param {workbox-strategies.StrategyHandler} handler The event that
   *     triggered the request.
   * @return {Promise<Response>}
   */
  async _handle(e, t) {
    const n = await t.cacheMatch(e);
    return n || (t.event && t.event.type === "install" ? await this._handleInstall(e, t) : await this._handleFetch(e, t));
  }
  async _handleFetch(e, t) {
    let n;
    const a = t.params || {};
    if (this._fallbackToNetwork) {
      const i = a.integrity, r = e.integrity, c = !r || r === i;
      n = await t.fetch(new Request(e, {
        integrity: e.mode !== "no-cors" ? r || i : void 0
      })), i && c && e.mode !== "no-cors" && (this._useDefaultCacheabilityPluginIfNeeded(), await t.cachePut(e, n.clone()));
    } else
      throw new h("missing-precache-entry", {
        cacheName: this.cacheName,
        url: e.url
      });
    return n;
  }
  async _handleInstall(e, t) {
    this._useDefaultCacheabilityPluginIfNeeded();
    const n = await t.fetch(e);
    if (!await t.cachePut(e, n.clone()))
      throw new h("bad-precaching-response", {
        url: e.url,
        status: n.status
      });
    return n;
  }
  /**
   * This method is complex, as there a number of things to account for:
   *
   * The `plugins` array can be set at construction, and/or it might be added to
   * to at any time before the strategy is used.
   *
   * At the time the strategy is used (i.e. during an `install` event), there
   * needs to be at least one plugin that implements `cacheWillUpdate` in the
   * array, other than `copyRedirectedCacheableResponsesPlugin`.
   *
   * - If this method is called and there are no suitable `cacheWillUpdate`
   * plugins, we need to add `defaultPrecacheCacheabilityPlugin`.
   *
   * - If this method is called and there is exactly one `cacheWillUpdate`, then
   * we don't have to do anything (this might be a previously added
   * `defaultPrecacheCacheabilityPlugin`, or it might be a custom plugin).
   *
   * - If this method is called and there is more than one `cacheWillUpdate`,
   * then we need to check if one is `defaultPrecacheCacheabilityPlugin`. If so,
   * we need to remove it. (This situation is unlikely, but it could happen if
   * the strategy is used multiple times, the first without a `cacheWillUpdate`,
   * and then later on after manually adding a custom `cacheWillUpdate`.)
   *
   * See https://github.com/GoogleChrome/workbox/issues/2737 for more context.
   *
   * @private
   */
  _useDefaultCacheabilityPluginIfNeeded() {
    let e = null, t = 0;
    for (const [n, a] of this.plugins.entries())
      a !== p.copyRedirectedCacheableResponsesPlugin && (a === p.defaultPrecacheCacheabilityPlugin && (e = n), a.cacheWillUpdate && t++);
    t === 0 ? this.plugins.push(p.defaultPrecacheCacheabilityPlugin) : t > 1 && e !== null && this.plugins.splice(e, 1);
  }
}
p.defaultPrecacheCacheabilityPlugin = {
  async cacheWillUpdate({ response: s }) {
    return !s || s.status >= 400 ? null : s;
  }
};
p.copyRedirectedCacheableResponsesPlugin = {
  async cacheWillUpdate({ response: s }) {
    return s.redirected ? await Ie(s) : s;
  }
};
class Ae {
  /**
   * Create a new PrecacheController.
   *
   * @param {Object} [options]
   * @param {string} [options.cacheName] The cache to use for precaching.
   * @param {string} [options.plugins] Plugins to use when precaching as well
   * as responding to fetch events for precached assets.
   * @param {boolean} [options.fallbackToNetwork=true] Whether to attempt to
   * get the response from the network if there's a precache miss.
   */
  constructor({ cacheName: e, plugins: t = [], fallbackToNetwork: n = !0 } = {}) {
    this._urlsToCacheKeys = /* @__PURE__ */ new Map(), this._urlsToCacheModes = /* @__PURE__ */ new Map(), this._cacheKeysToIntegrities = /* @__PURE__ */ new Map(), this._strategy = new p({
      cacheName: E.getPrecacheName(e),
      plugins: [
        ...t,
        new Me({ precacheController: this })
      ],
      fallbackToNetwork: n
    }), this.install = this.install.bind(this), this.activate = this.activate.bind(this);
  }
  /**
   * @type {workbox-precaching.PrecacheStrategy} The strategy created by this controller and
   * used to cache assets and respond to fetch events.
   */
  get strategy() {
    return this._strategy;
  }
  /**
   * Adds items to the precache list, removing any duplicates and
   * stores the files in the
   * {@link workbox-core.cacheNames|"precache cache"} when the service
   * worker installs.
   *
   * This method can be called multiple times.
   *
   * @param {Array<Object|string>} [entries=[]] Array of entries to precache.
   */
  precache(e) {
    this.addToCacheList(e), this._installAndActiveListenersAdded || (self.addEventListener("install", this.install), self.addEventListener("activate", this.activate), this._installAndActiveListenersAdded = !0);
  }
  /**
   * This method will add items to the precache list, removing duplicates
   * and ensuring the information is valid.
   *
   * @param {Array<workbox-precaching.PrecacheController.PrecacheEntry|string>} entries
   *     Array of entries to precache.
   */
  addToCacheList(e) {
    const t = [];
    for (const n of e) {
      typeof n == "string" ? t.push(n) : n && n.revision === void 0 && t.push(n.url);
      const { cacheKey: a, url: i } = Pe(n), r = typeof n != "string" && n.revision ? "reload" : "default";
      if (this._urlsToCacheKeys.has(i) && this._urlsToCacheKeys.get(i) !== a)
        throw new h("add-to-cache-list-conflicting-entries", {
          firstEntry: this._urlsToCacheKeys.get(i),
          secondEntry: a
        });
      if (typeof n != "string" && n.integrity) {
        if (this._cacheKeysToIntegrities.has(a) && this._cacheKeysToIntegrities.get(a) !== n.integrity)
          throw new h("add-to-cache-list-conflicting-integrities", {
            url: i
          });
        this._cacheKeysToIntegrities.set(a, n.integrity);
      }
      if (this._urlsToCacheKeys.set(i, a), this._urlsToCacheModes.set(i, r), t.length > 0) {
        const c = `Workbox is precaching URLs without revision info: ${t.join(", ")}
This is generally NOT safe. Learn more at https://bit.ly/wb-precache`;
        console.warn(c);
      }
    }
  }
  /**
   * Precaches new and updated assets. Call this method from the service worker
   * install event.
   *
   * Note: this method calls `event.waitUntil()` for you, so you do not need
   * to call it yourself in your event handlers.
   *
   * @param {ExtendableEvent} event
   * @return {Promise<workbox-precaching.InstallResult>}
   */
  install(e) {
    return j(e, async () => {
      const t = new Te();
      this.strategy.plugins.push(t);
      for (const [i, r] of this._urlsToCacheKeys) {
        const c = this._cacheKeysToIntegrities.get(r), o = this._urlsToCacheModes.get(i), l = new Request(i, {
          integrity: c,
          cache: o,
          credentials: "same-origin"
        });
        await Promise.all(this.strategy.handleAll({
          params: { cacheKey: r },
          request: l,
          event: e
        }));
      }
      const { updatedURLs: n, notUpdatedURLs: a } = t;
      return { updatedURLs: n, notUpdatedURLs: a };
    });
  }
  /**
   * Deletes assets that are no longer present in the current precache manifest.
   * Call this method from the service worker activate event.
   *
   * Note: this method calls `event.waitUntil()` for you, so you do not need
   * to call it yourself in your event handlers.
   *
   * @param {ExtendableEvent} event
   * @return {Promise<workbox-precaching.CleanupResult>}
   */
  activate(e) {
    return j(e, async () => {
      const t = await self.caches.open(this.strategy.cacheName), n = await t.keys(), a = new Set(this._urlsToCacheKeys.values()), i = [];
      for (const r of n)
        a.has(r.url) || (await t.delete(r), i.push(r.url));
      return { deletedURLs: i };
    });
  }
  /**
   * Returns a mapping of a precached URL to the corresponding cache key, taking
   * into account the revision information for the URL.
   *
   * @return {Map<string, string>} A URL to cache key mapping.
   */
  getURLsToCacheKeys() {
    return this._urlsToCacheKeys;
  }
  /**
   * Returns a list of all the URLs that have been precached by the current
   * service worker.
   *
   * @return {Array<string>} The precached URLs.
   */
  getCachedURLs() {
    return [...this._urlsToCacheKeys.keys()];
  }
  /**
   * Returns the cache key used for storing a given URL. If that URL is
   * unversioned, like `/index.html', then the cache key will be the original
   * URL with a search parameter appended to it.
   *
   * @param {string} url A URL whose cache key you want to look up.
   * @return {string} The versioned URL that corresponds to a cache key
   * for the original URL, or undefined if that URL isn't precached.
   */
  getCacheKeyForURL(e) {
    const t = new URL(e, location.href);
    return this._urlsToCacheKeys.get(t.href);
  }
  /**
   * @param {string} url A cache key whose SRI you want to look up.
   * @return {string} The subresource integrity associated with the cache key,
   * or undefined if it's not set.
   */
  getIntegrityForCacheKey(e) {
    return this._cacheKeysToIntegrities.get(e);
  }
  /**
   * This acts as a drop-in replacement for
   * [`cache.match()`](https://developer.mozilla.org/en-US/docs/Web/API/Cache/match)
   * with the following differences:
   *
   * - It knows what the name of the precache is, and only checks in that cache.
   * - It allows you to pass in an "original" URL without versioning parameters,
   * and it will automatically look up the correct cache key for the currently
   * active revision of that URL.
   *
   * E.g., `matchPrecache('index.html')` will find the correct precached
   * response for the currently active service worker, even if the actual cache
   * key is `'/index.html?__WB_REVISION__=1234abcd'`.
   *
   * @param {string|Request} request The key (without revisioning parameters)
   * to look up in the precache.
   * @return {Promise<Response|undefined>}
   */
  async matchPrecache(e) {
    const t = e instanceof Request ? e.url : e, n = this.getCacheKeyForURL(t);
    if (n)
      return (await self.caches.open(this.strategy.cacheName)).match(n);
  }
  /**
   * Returns a function that looks up `url` in the precache (taking into
   * account revision information), and returns the corresponding `Response`.
   *
   * @param {string} url The precached URL which will be used to lookup the
   * `Response`.
   * @return {workbox-routing~handlerCallback}
   */
  createHandlerBoundToURL(e) {
    const t = this.getCacheKeyForURL(e);
    if (!t)
      throw new h("non-precached-url", { url: e });
    return (n) => (n.request = new Request(e), n.params = Object.assign({ cacheKey: t }, n.params), this.strategy.handle(n));
  }
}
let T;
const G = () => (T || (T = new Ae()), T);
function Ke(s, e = []) {
  for (const t of [...s.searchParams.keys()])
    e.some((n) => n.test(t)) && s.searchParams.delete(t);
  return s;
}
function* Se(s, { ignoreURLParametersMatching: e = [/^utm_/, /^fbclid$/], directoryIndex: t = "index.html", cleanURLs: n = !0, urlManipulation: a } = {}) {
  const i = new URL(s, location.href);
  i.hash = "", yield i.href;
  const r = Ke(i, e);
  if (yield r.href, t && r.pathname.endsWith("/")) {
    const c = new URL(r.href);
    c.pathname += t, yield c.href;
  }
  if (n) {
    const c = new URL(r.href);
    c.pathname += ".html", yield c.href;
  }
  if (a) {
    const c = a({ url: i });
    for (const o of c)
      yield o.href;
  }
}
class Oe extends b {
  /**
   * @param {PrecacheController} precacheController A `PrecacheController`
   * instance used to both match requests and respond to fetch events.
   * @param {Object} [options] Options to control how requests are matched
   * against the list of precached URLs.
   * @param {string} [options.directoryIndex=index.html] The `directoryIndex` will
   * check cache entries for a URLs ending with '/' to see if there is a hit when
   * appending the `directoryIndex` value.
   * @param {Array<RegExp>} [options.ignoreURLParametersMatching=[/^utm_/, /^fbclid$/]] An
   * array of regex's to remove search params when looking for a cache match.
   * @param {boolean} [options.cleanURLs=true] The `cleanURLs` option will
   * check the cache for the URL with a `.html` added to the end of the end.
   * @param {workbox-precaching~urlManipulation} [options.urlManipulation]
   * This is a function that should take a URL and return an array of
   * alternative URLs that should be checked for precache matches.
   */
  constructor(e, t) {
    const n = ({ request: a }) => {
      const i = e.getURLsToCacheKeys();
      for (const r of Se(a.url, t)) {
        const c = i.get(r);
        if (c) {
          const o = e.getIntegrityForCacheKey(c);
          return { cacheKey: c, integrity: o };
        }
      }
    };
    super(n, e.strategy);
  }
}
function ve(s) {
  const e = G(), t = new Oe(e, s);
  x(t);
}
function We(s) {
  G().precache(s);
}
function Be(s, e) {
  We(s), ve(e);
}
Be([{"revision":null,"url":"assets/_assignValue-98148a8d.js"},{"revision":null,"url":"assets/_baseFlatten-ae3aa33f.js"},{"revision":null,"url":"assets/_baseFor-879f9d4c.js"},{"revision":null,"url":"assets/_baseRest-39d8341a.js"},{"revision":null,"url":"assets/_defineProperty-50240cf4.js"},{"revision":null,"url":"assets/_initCloneObject-7f45441a.js"},{"revision":null,"url":"assets/_setToString-2ddab4a7.js"},{"revision":null,"url":"assets/AboutInstanceView-b4de2c6e.css"},{"revision":null,"url":"assets/AboutInstanceView-d3776146.js"},{"revision":null,"url":"assets/AboutView-6c2d1619.js"},{"revision":null,"url":"assets/AccountMultiple-83143f0d.js"},{"revision":null,"url":"assets/AccountMultipleMinus-29e43455.js"},{"revision":null,"url":"assets/AccountMultiplePlus-79762887.js"},{"revision":null,"url":"assets/AccountSettings-8cfa0f20.js"},{"revision":null,"url":"assets/activity-a2664302.js"},{"revision":null,"url":"assets/ActorCard-3ca208ec.css"},{"revision":null,"url":"assets/ActorCard-f70c3762.js"},{"revision":null,"url":"assets/ActorInline-639b5c2d.css"},{"revision":null,"url":"assets/ActorInline-bc30afaf.js"},{"revision":null,"url":"assets/AddressInfo-4d474591.js"},{"revision":null,"url":"assets/AddressInfo-7b860ba2.css"},{"revision":null,"url":"assets/admin-0f3a4af5.js"},{"revision":null,"url":"assets/AdminGroupProfile-f6e73285.js"},{"revision":null,"url":"assets/AdminProfile-b732b88e.js"},{"revision":null,"url":"assets/AdminUserProfile-ae48716c.js"},{"revision":null,"url":"assets/Alert-f9674b42.js"},{"revision":null,"url":"assets/AlertCircle-ee6e9e0e.js"},{"revision":null,"url":"assets/AnonymousParticipationStorage-67003687.js"},{"revision":null,"url":"assets/application-9907c95f.js"},{"revision":null,"url":"assets/Apps-17ce00c0.js"},{"revision":null,"url":"assets/AppsView-888f7b46.js"},{"revision":null,"url":"assets/ar-6829ade4.js"},{"revision":null,"url":"assets/ArrowUp-5d340a60.js"},{"revision":null,"url":"assets/AuthorizeApplication.vue_vue_type_script_setup_true_lang-2d439522.js"},{"revision":null,"url":"assets/AuthorizeView-96e84e49.js"},{"revision":null,"url":"assets/AuthProviders.vue_vue_type_script_setup_true_lang-5c0e7d45.js"},{"revision":null,"url":"assets/be-298a229f.js"},{"revision":null,"url":"assets/BellOffOutline-6edb12a9.js"},{"revision":null,"url":"assets/BellOutline-888dad86.js"},{"revision":null,"url":"assets/bn-67100099.js"},{"revision":null,"url":"assets/Bullhorn-a1e0111d.js"},{"revision":null,"url":"assets/ca-9899b214.js"},{"revision":null,"url":"assets/Calendar-357e76dd.js"},{"revision":null,"url":"assets/CalendarCheck-41f071ad.js"},{"revision":null,"url":"assets/CalendarQuestion-105a945f.js"},{"revision":null,"url":"assets/CalendarRemove-10d21b43.js"},{"revision":null,"url":"assets/CalendarSync-ba415eb9.js"},{"revision":null,"url":"assets/CalendarText-536613df.js"},{"revision":null,"url":"assets/CalendarToday-8c6205fb.js"},{"revision":null,"url":"assets/Cash-c3a1a98c.js"},{"revision":null,"url":"assets/CategoriesView-0953a565.js"},{"revision":null,"url":"assets/Chat-d8c604c9.js"},{"revision":null,"url":"assets/ChatAlert-e271801b.js"},{"revision":null,"url":"assets/Check-89962117.js"},{"revision":null,"url":"assets/CheckboxMarked-8c3e6530.js"},{"revision":null,"url":"assets/CheckCircle-32822c86.js"},{"revision":null,"url":"assets/ChevronDoubleDown-60f2714b.js"},{"revision":null,"url":"assets/ChevronDoubleUp-d11a62eb.js"},{"revision":null,"url":"assets/ChevronDown-d727636c.js"},{"revision":null,"url":"assets/ChevronLeft-fee20904.js"},{"revision":null,"url":"assets/ChevronRight-1cb394ad.js"},{"revision":null,"url":"assets/ChevronUp-622453d1.js"},{"revision":null,"url":"assets/City-3c9c3ace.js"},{"revision":null,"url":"assets/Clock-7156c357.js"},{"revision":null,"url":"assets/cloneDeep-2dc3fa56.js"},{"revision":null,"url":"assets/Close-b04a15b6.js"},{"revision":null,"url":"assets/CloudQuestion-389c512b.js"},{"revision":null,"url":"assets/Cog-732350db.js"},{"revision":null,"url":"assets/comment-3e8dc34d.js"},{"revision":null,"url":"assets/Comment-fba984ae.js"},{"revision":null,"url":"assets/CompactTodo.vue_vue_type_script_setup_true_lang-af2dc2bb.js"},{"revision":null,"url":"assets/config-cda1afbb.js"},{"revision":null,"url":"assets/ConfirmParticipation-48e4726c.js"},{"revision":null,"url":"assets/ContentDuplicate-06da43b3.js"},{"revision":null,"url":"assets/ContentPaste-551d8858.js"},{"revision":null,"url":"assets/CreateView-4632540b.css"},{"revision":null,"url":"assets/CreateView-6161fd3b.js"},{"revision":null,"url":"assets/CreateView-d0431b39.js"},{"revision":null,"url":"assets/CreateView-f68028f4.css"},{"revision":null,"url":"assets/cs-e0ab1062.js"},{"revision":null,"url":"assets/cy-efe03d7a.js"},{"revision":null,"url":"assets/da-1b521763.js"},{"revision":null,"url":"assets/DashboardView-8beec633.js"},{"revision":null,"url":"assets/datetime-91a00dd9.js"},{"revision":null,"url":"assets/de-993d1e39.js"},{"revision":null,"url":"assets/debounce-15a03043.js"},{"revision":null,"url":"assets/Delete-00d535ab.js"},{"revision":null,"url":"assets/DeviceActivationView-6e346fa9.js"},{"revision":null,"url":"assets/discussion-7a44d6ad.js"},{"revision":null,"url":"assets/DiscussionActivityItem-8114ae93.js"},{"revision":null,"url":"assets/DiscussionActivityItem-9cbc2520.css"},{"revision":null,"url":"assets/DiscussionListItem.vue_vue_type_script_setup_true_lang-25de31f1.js"},{"revision":null,"url":"assets/DiscussionsListView-3b1fe5e5.js"},{"revision":null,"url":"assets/DiscussionView-ed6c1eb1.js"},{"revision":null,"url":"assets/DiscussionView-f271a144.css"},{"revision":null,"url":"assets/DotsHorizontal-9e5cb93d.js"},{"revision":null,"url":"assets/Earth-f9231016.js"},{"revision":null,"url":"assets/EditIdentity-8407cef5.css"},{"revision":null,"url":"assets/EditIdentity-d717a634.js"},{"revision":null,"url":"assets/EditView-1b8b8aac.js"},{"revision":null,"url":"assets/EditView-9297d8f6.css"},{"revision":null,"url":"assets/EditView-a7635ec7.js"},{"revision":null,"url":"assets/Email-7dada780.js"},{"revision":null,"url":"assets/EmailValidate-f7833490.js"},{"revision":null,"url":"assets/EmptyContent-a0b1c5c2.js"},{"revision":null,"url":"assets/EmptyContent.vue_vue_type_script_setup_true_lang-06697889.js"},{"revision":null,"url":"assets/eo-91988015.js"},{"revision":null,"url":"assets/ErrorComponent-bc75ac80.js"},{"revision":null,"url":"assets/ErrorComponent-e2510c3c.css"},{"revision":null,"url":"assets/ErrorView-fe74586d.js"},{"revision":null,"url":"assets/es-6aeacf33.js"},{"revision":null,"url":"assets/EtherpadIntegration-4894693d.js"},{"revision":null,"url":"assets/EtherpadIntegration-cdd09da1.css"},{"revision":null,"url":"assets/eu-791c4acc.js"},{"revision":null,"url":"assets/event-cd7b9b08.js"},{"revision":null,"url":"assets/EventActivityItem-67f523de.js"},{"revision":null,"url":"assets/EventActivityItem-ad1e88f6.css"},{"revision":null,"url":"assets/EventMap-2576dd7c.css"},{"revision":null,"url":"assets/EventMap-3f759efe.js"},{"revision":null,"url":"assets/EventMarkerMap-0015a487.css"},{"revision":null,"url":"assets/EventMarkerMap-c4cdb6d2.js"},{"revision":null,"url":"assets/EventMetadata-f6f18ba0.js"},{"revision":null,"url":"assets/EventMetadataBlock-045cbba2.js"},{"revision":null,"url":"assets/EventMetadataBlock-da028286.css"},{"revision":null,"url":"assets/EventMinimalistCard-2165d64c.js"},{"revision":null,"url":"assets/EventMinimalistCard-89ff556d.css"},{"revision":null,"url":"assets/EventParticipationCard-4c206df4.js"},{"revision":null,"url":"assets/EventParticipationCard-821e1619.css"},{"revision":null,"url":"assets/EventView-367c18c5.css"},{"revision":null,"url":"assets/EventView-fbf91764.js"},{"revision":null,"url":"assets/ExitToApp-49dae0ce.js"},{"revision":null,"url":"assets/Eye-76a01352.js"},{"revision":null,"url":"assets/EyeOff-386ac9e1.js"},{"revision":null,"url":"assets/EyeOutline-c94d149d.js"},{"revision":null,"url":"assets/fa-beb47bdc.js"},{"revision":null,"url":"assets/feed_tokens-552c8820.js"},{"revision":null,"url":"assets/fi-a9a013e6.js"},{"revision":null,"url":"assets/FileDelimited-e5fa4a66.js"},{"revision":null,"url":"assets/FileDocumentEdit-18e320cb.js"},{"revision":null,"url":"assets/FileDocumentOutline-1b43608f.js"},{"revision":null,"url":"assets/FilePdfBox-50501064.js"},{"revision":null,"url":"assets/Filter-c48d2895.js"},{"revision":null,"url":"assets/Flag-cf746aed.js"},{"revision":null,"url":"assets/FolderItem-21ff9291.js"},{"revision":null,"url":"assets/FolderItem-f915f036.css"},{"revision":null,"url":"assets/followers-0677cd80.js"},{"revision":null,"url":"assets/FormatBold-0b5aa8f7.js"},{"revision":null,"url":"assets/FormatHeader1-081cf191.js"},{"revision":null,"url":"assets/FormatHeader2-e15dbff4.js"},{"revision":null,"url":"assets/FormatHeader3-27c249bd.js"},{"revision":null,"url":"assets/FormatItalic-6f389181.js"},{"revision":null,"url":"assets/FormatListBulleted-9f580a14.js"},{"revision":null,"url":"assets/FormatListNumbered-4fd9f9b5.js"},{"revision":null,"url":"assets/FormatQuoteClose-dc55b9ef.js"},{"revision":null,"url":"assets/FormatUnderline-eb4f5b0d.js"},{"revision":null,"url":"assets/fr_FR-1a6927ad.js"},{"revision":null,"url":"assets/FullAddressAutoComplete-23896053.css"},{"revision":null,"url":"assets/FullAddressAutoComplete-2565300b.js"},{"revision":null,"url":"assets/gd-91034c77.js"},{"revision":null,"url":"assets/gl-4efbcda4.js"},{"revision":null,"url":"assets/GlossaryView-469cee27.css"},{"revision":null,"url":"assets/GlossaryView-564c65b2.js"},{"revision":null,"url":"assets/Google-cc8267b9.js"},{"revision":null,"url":"assets/GoogleHangouts-602c2adf.js"},{"revision":null,"url":"assets/GoogleSpreadsheet-d59f410a.js"},{"revision":null,"url":"assets/group-2a9654ff.js"},{"revision":null,"url":"assets/group-f454e9e3.js"},{"revision":null,"url":"assets/GroupActivityItem-5fdbab55.js"},{"revision":null,"url":"assets/GroupActivityItem-97a8d532.css"},{"revision":null,"url":"assets/GroupEvents-409cd58c.css"},{"revision":null,"url":"assets/GroupEvents-92bf1b2b.js"},{"revision":null,"url":"assets/GroupFollowers-c7dc73e6.js"},{"revision":null,"url":"assets/GroupMembers-d702a54b.js"},{"revision":null,"url":"assets/GroupProfiles-5cbad465.js"},{"revision":null,"url":"assets/GroupProfiles-d8907145.css"},{"revision":null,"url":"assets/GroupSettings-fb64bcec.js"},{"revision":null,"url":"assets/GroupView-34728570.css"},{"revision":null,"url":"assets/GroupView-a5d4e501.js"},{"revision":null,"url":"assets/he-14e73757.js"},{"revision":null,"url":"assets/HelpCircleOutline-a4e53a0b.js"},{"revision":null,"url":"assets/Home-c38b8f07.js"},{"revision":null,"url":"assets/HomepageRedirectComponent-ca6e3816.js"},{"revision":null,"url":"assets/hr-99e7fa59.js"},{"revision":null,"url":"assets/hu-bcefd9bd.js"},{"revision":null,"url":"assets/id-3e3426c8.js"},{"revision":null,"url":"assets/image-7578a618.js"},{"revision":null,"url":"assets/Image-97a9b2e5.js"},{"revision":null,"url":"assets/InboxArrowDown-24d8b695.js"},{"revision":null,"url":"assets/InboxArrowUp-c2ceb009.js"},{"revision":null,"url":"assets/index-015c130a.js"},{"revision":null,"url":"assets/index-06a587a5.js"},{"revision":null,"url":"assets/index-071c5610.js"},{"revision":null,"url":"assets/index-0c1d1593.js"},{"revision":null,"url":"assets/index-0e2c13ad.js"},{"revision":null,"url":"assets/index-0ee6cb03.js"},{"revision":null,"url":"assets/index-0f48221a.js"},{"revision":null,"url":"assets/index-0f993a90.js"},{"revision":null,"url":"assets/index-0fc9b6d1.js"},{"revision":null,"url":"assets/index-1201527b.js"},{"revision":null,"url":"assets/index-123c7254.js"},{"revision":null,"url":"assets/index-1678befc.js"},{"revision":null,"url":"assets/index-169a0981.js"},{"revision":null,"url":"assets/index-178e0096.js"},{"revision":null,"url":"assets/index-187db1c4.js"},{"revision":null,"url":"assets/index-19515a37.js"},{"revision":null,"url":"assets/index-1a309746.js"},{"revision":null,"url":"assets/index-1f43b435.js"},{"revision":null,"url":"assets/index-22a1099e.js"},{"revision":null,"url":"assets/index-237cea3f.js"},{"revision":null,"url":"assets/index-24a7c23d.js"},{"revision":null,"url":"assets/index-24bd02dd.js"},{"revision":null,"url":"assets/index-257e883d.js"},{"revision":null,"url":"assets/index-25b613c1.js"},{"revision":null,"url":"assets/index-28cf8a5e.js"},{"revision":null,"url":"assets/index-29ec0d59.js"},{"revision":null,"url":"assets/index-2ac9892b.js"},{"revision":null,"url":"assets/index-2b4ac7a1.js"},{"revision":null,"url":"assets/index-2cd4f128.js"},{"revision":null,"url":"assets/index-2d9bea93.js"},{"revision":null,"url":"assets/index-2dbf0e80.js"},{"revision":null,"url":"assets/index-3083e38f.js"},{"revision":null,"url":"assets/index-347a841a.js"},{"revision":null,"url":"assets/index-34d9bc13.js"},{"revision":null,"url":"assets/index-35bfc499.js"},{"revision":null,"url":"assets/index-3f486b58.js"},{"revision":null,"url":"assets/index-431856aa.js"},{"revision":null,"url":"assets/index-47110a70.js"},{"revision":null,"url":"assets/index-47cd771a.js"},{"revision":null,"url":"assets/index-4930c5a6.js"},{"revision":null,"url":"assets/index-4f10b20d.js"},{"revision":null,"url":"assets/index-53ebbe25.js"},{"revision":null,"url":"assets/index-5524d295.js"},{"revision":null,"url":"assets/index-5d09b9d8.js"},{"revision":null,"url":"assets/index-5ee225fe.js"},{"revision":null,"url":"assets/index-617ce955.js"},{"revision":null,"url":"assets/index-65917f89.js"},{"revision":null,"url":"assets/index-65c839ac.js"},{"revision":null,"url":"assets/index-67afc141.js"},{"revision":null,"url":"assets/index-69cb7653.js"},{"revision":null,"url":"assets/index-6bd98e44.js"},{"revision":null,"url":"assets/index-6bf3951a.js"},{"revision":null,"url":"assets/index-6c97e5c4.js"},{"revision":null,"url":"assets/index-706377c9.js"},{"revision":null,"url":"assets/index-71ebb80f.js"},{"revision":null,"url":"assets/index-72b5f1a4.js"},{"revision":null,"url":"assets/index-735cdded.js"},{"revision":null,"url":"assets/index-85c9c949.js"},{"revision":null,"url":"assets/index-86008a5c.js"},{"revision":null,"url":"assets/index-903e2a73.js"},{"revision":null,"url":"assets/index-92b9fa5a.js"},{"revision":null,"url":"assets/index-937bc904.js"},{"revision":null,"url":"assets/index-963ef44c.js"},{"revision":null,"url":"assets/index-989bc08d.js"},{"revision":null,"url":"assets/index-98aa39eb.js"},{"revision":null,"url":"assets/index-9ca2a32e.js"},{"revision":null,"url":"assets/index-9d521e24.js"},{"revision":null,"url":"assets/index-9f30d5e1.js"},{"revision":null,"url":"assets/index-a1f025f2.js"},{"revision":null,"url":"assets/index-a2e53444.js"},{"revision":null,"url":"assets/index-b4875f48.js"},{"revision":null,"url":"assets/index-b508115d.js"},{"revision":null,"url":"assets/index-b5081523.js"},{"revision":null,"url":"assets/index-b51a1899.js"},{"revision":null,"url":"assets/index-b8944494.js"},{"revision":null,"url":"assets/index-ba874170.js"},{"revision":null,"url":"assets/index-bb7abf7d.js"},{"revision":null,"url":"assets/index-bfdcfde7.js"},{"revision":null,"url":"assets/index-c46de323.js"},{"revision":null,"url":"assets/index-c7b4720f.js"},{"revision":null,"url":"assets/index-c991b46b.js"},{"revision":null,"url":"assets/index-ca48d9d1.js"},{"revision":null,"url":"assets/index-ca7600a9.js"},{"revision":null,"url":"assets/index-ca9ae312.js"},{"revision":null,"url":"assets/index-ccd00d0e.js"},{"revision":null,"url":"assets/index-d0fed7be.js"},{"revision":null,"url":"assets/index-d689892e.js"},{"revision":null,"url":"assets/index-d9a1ca6a.js"},{"revision":null,"url":"assets/index-d9c77552.js"},{"revision":null,"url":"assets/index-dfcadb83.js"},{"revision":null,"url":"assets/index-e06f98ad.js"},{"revision":null,"url":"assets/index-e47a614a.js"},{"revision":null,"url":"assets/index-e49152d3.js"},{"revision":null,"url":"assets/index-e6f7388e.js"},{"revision":null,"url":"assets/index-e9aa40c0.js"},{"revision":null,"url":"assets/index-eb9ec2a3.js"},{"revision":null,"url":"assets/index-ec949de2.js"},{"revision":null,"url":"assets/index-eeb10e2a.js"},{"revision":null,"url":"assets/index-ef0824dc.js"},{"revision":null,"url":"assets/index-f0ce1760.js"},{"revision":null,"url":"assets/index-f3e57162.js"},{"revision":null,"url":"assets/index-f59d9c8a.js"},{"revision":null,"url":"assets/index-fa03b58d.js"},{"revision":null,"url":"assets/index-fd57b608.js"},{"revision":null,"url":"assets/InstancesView-71fe31fa.css"},{"revision":null,"url":"assets/InstancesView-94c87755.js"},{"revision":null,"url":"assets/InstanceView-4a51b5d0.js"},{"revision":null,"url":"assets/InteractView-aec01047.js"},{"revision":null,"url":"assets/intersection-observer-c37e1c25.js"},{"revision":null,"url":"assets/InvitationsList.vue_vue_type_script_setup_true_lang-95f6b8c7.js"},{"revision":null,"url":"assets/isArrayLikeObject-c8534bb8.js"},{"revision":null,"url":"assets/it-71cc90e9.js"},{"revision":null,"url":"assets/ja-f93d1641.js"},{"revision":null,"url":"assets/JitsiMeetIntegration-a85c0305.js"},{"revision":null,"url":"assets/JitsiMeetIntegration-a9e5c7b1.css"},{"revision":null,"url":"assets/JoinGroupWithAccount-b3851671.js"},{"revision":null,"url":"assets/kab-94750cb4.js"},{"revision":null,"url":"assets/kn-1944c945.js"},{"revision":null,"url":"assets/Label-b4be08f2.js"},{"revision":null,"url":"assets/LanDisconnect-63b11085.js"},{"revision":null,"url":"assets/leaflet-36a4905a.css"},{"revision":null,"url":"assets/leaflet-src-7ac39ccd.js"},{"revision":null,"url":"assets/leaflet-src.esm-9c358b30.js"},{"revision":null,"url":"assets/LeafletMap-21103ac2.js"},{"revision":null,"url":"assets/LeafletMap-bb8cf8f5.css"},{"revision":null,"url":"assets/Link-b37a5391.js"},{"revision":null,"url":"assets/LinkOff-4130bd0d.js"},{"revision":null,"url":"assets/ListView-5cd0db66.js"},{"revision":null,"url":"assets/Loading-c96f6cff.js"},{"revision":null,"url":"assets/Lock-d9043435.js"},{"revision":null,"url":"assets/LoginView-bd27ad3d.js"},{"revision":null,"url":"assets/LogsView-1da7f00f.js"},{"revision":null,"url":"assets/LogsView-71c3968a.css"},{"revision":null,"url":"assets/Magnify-aa8a62fd.js"},{"revision":null,"url":"assets/main-5a25890d.css"},{"revision":null,"url":"assets/main-66d61d4f.js"},{"revision":null,"url":"assets/Map-cce65850.js"},{"revision":null,"url":"assets/marker-icon-2x-e148f0f7.js"},{"revision":null,"url":"assets/marker-icon-d6994ad0.js"},{"revision":null,"url":"assets/marker-shadow-a7f70f89.js"},{"revision":null,"url":"assets/matomo-0bc08b25.js"},{"revision":null,"url":"assets/member-9eae8e67.js"},{"revision":null,"url":"assets/MemberActivityItem-b99ed680.js"},{"revision":null,"url":"assets/MemberActivityItem-d7f3d513.css"},{"revision":null,"url":"assets/MenuDown-ba060e51.js"},{"revision":null,"url":"assets/MenuUp-08c8f9cd.js"},{"revision":null,"url":"assets/MicrosoftTeams-e4ab58f0.js"},{"revision":null,"url":"assets/MultiPostListItem-02d6a301.css"},{"revision":null,"url":"assets/MultiPostListItem-9f595d03.js"},{"revision":null,"url":"assets/MyEventsView-1f173f2f.css"},{"revision":null,"url":"assets/MyEventsView-bdc5a53b.js"},{"revision":null,"url":"assets/MyGroups-39dfb218.css"},{"revision":null,"url":"assets/MyGroups-4337cbea.js"},{"revision":null,"url":"assets/nl-70ab414f.js"},{"revision":null,"url":"assets/nn-049adda0.js"},{"revision":null,"url":"assets/NotificationsOnboarding-a59a1a16.js"},{"revision":null,"url":"assets/NotificationsView-46680244.js"},{"revision":null,"url":"assets/NotificationsView-4c7f31da.css"},{"revision":null,"url":"assets/oc-9122fc10.js"},{"revision":null,"url":"assets/OpenInNew-ebc9074b.js"},{"revision":null,"url":"assets/PageNotFound-43163924.js"},{"revision":null,"url":"assets/ParticipantsView-27b8f2d2.css"},{"revision":null,"url":"assets/ParticipantsView-436db87a.js"},{"revision":null,"url":"assets/ParticipationWithAccount-8f750be4.js"},{"revision":null,"url":"assets/ParticipationWithoutAccount-2f594374.js"},{"revision":null,"url":"assets/PasswordReset-ab39b3ab.js"},{"revision":null,"url":"assets/PeerTubeIntegration-e9886783.css"},{"revision":null,"url":"assets/PeerTubeIntegration-ecd6e07d.js"},{"revision":null,"url":"assets/Pencil-e05e0feb.js"},{"revision":null,"url":"assets/PencilOutline-517c85e0.js"},{"revision":null,"url":"assets/person.model-dc464c35.js"},{"revision":null,"url":"assets/PictureUpload-711f6348.css"},{"revision":null,"url":"assets/PictureUpload-df327d2a.js"},{"revision":null,"url":"assets/pl-48de7391.js"},{"revision":null,"url":"assets/PopoverActorCard.vue_vue_type_script_setup_true_lang-bf99ccb5.js"},{"revision":null,"url":"assets/post-f81fe110.js"},{"revision":null,"url":"assets/PostActivityItem-3bb52f1d.css"},{"revision":null,"url":"assets/PostActivityItem-f1f5ea44.js"},{"revision":null,"url":"assets/PostView-312606e1.js"},{"revision":null,"url":"assets/PostView-4084a378.css"},{"revision":null,"url":"assets/PreferencesView-68659c63.css"},{"revision":null,"url":"assets/PreferencesView-f028429d.js"},{"revision":null,"url":"assets/PrivacyView-f237d7d5.js"},{"revision":null,"url":"assets/ProfileOnboarding-51ee5fe9.js"},{"revision":null,"url":"assets/ProfilesView-4160defc.js"},{"revision":null,"url":"assets/ProfilesView-a80da723.css"},{"revision":null,"url":"assets/ProviderValidation-a6e2bb9a.js"},{"revision":null,"url":"assets/pt_BR-5fdbdc03.js"},{"revision":null,"url":"assets/pt-13d85440.js"},{"revision":null,"url":"assets/RedirectWithAccount.vue_vue_type_script_setup_true_lang-e05bd64b.js"},{"revision":null,"url":"assets/Redo-448bee3a.js"},{"revision":null,"url":"assets/Refresh-3bafe101.js"},{"revision":null,"url":"assets/RegisterView-cd0b5edd.js"},{"revision":null,"url":"assets/RegisterView-df62aaa6.js"},{"revision":null,"url":"assets/Reply-38affab2.js"},{"revision":null,"url":"assets/report-395d90f8.css"},{"revision":null,"url":"assets/report-88fff904.js"},{"revision":null,"url":"assets/report-f70a6137.js"},{"revision":null,"url":"assets/ReportListView-c33b65f1.css"},{"revision":null,"url":"assets/ReportListView-e9e387d1.js"},{"revision":null,"url":"assets/ReportView-10986196.js"},{"revision":null,"url":"assets/ReportView-a84d42e5.css"},{"revision":null,"url":"assets/ResendConfirmation-44f79c54.js"},{"revision":null,"url":"assets/ResourceActivityItem-5ca88174.css"},{"revision":null,"url":"assets/ResourceActivityItem-a5dcf41e.js"},{"revision":null,"url":"assets/ResourceFolder-61800744.css"},{"revision":null,"url":"assets/ResourceFolder-ad00ad2b.js"},{"revision":null,"url":"assets/resources-23c780c3.js"},{"revision":null,"url":"assets/RoadVariant-5cf153eb.js"},{"revision":null,"url":"assets/Rss-5caef047.js"},{"revision":null,"url":"assets/ru-0e091cdd.js"},{"revision":null,"url":"assets/RulesView-8fac9689.js"},{"revision":null,"url":"assets/SearchView-b6bf8c72.js"},{"revision":null,"url":"assets/Send-f1374ca6.js"},{"revision":null,"url":"assets/SendPasswordReset-1c62b071.js"},{"revision":null,"url":"assets/sentry-77738cae.js"},{"revision":null,"url":"assets/SentryFeedback-2f8fe225.js"},{"revision":null,"url":"assets/SettingMenuItem-84230d49.css"},{"revision":null,"url":"assets/SettingMenuItem-b7335f44.js"},{"revision":null,"url":"assets/SettingsOnboard-6f8d7a17.css"},{"revision":null,"url":"assets/SettingsOnboard-80ce23c7.js"},{"revision":null,"url":"assets/SettingsOnboarding-3f655c48.css"},{"revision":null,"url":"assets/SettingsOnboarding-98d23922.js"},{"revision":null,"url":"assets/SettingsView-0b0ed7b9.css"},{"revision":null,"url":"assets/SettingsView-37e8eeda.css"},{"revision":null,"url":"assets/SettingsView-b18dbf7a.js"},{"revision":null,"url":"assets/SettingsView-be196460.js"},{"revision":null,"url":"assets/SettingsView-c5c29f68.js"},{"revision":null,"url":"assets/Share-16a9beea.js"},{"revision":null,"url":"assets/ShareEventModal-addfb5b5.js"},{"revision":null,"url":"assets/ShareGroupModal-1e39a0d4.css"},{"revision":null,"url":"assets/ShareGroupModal-56af03f6.js"},{"revision":null,"url":"assets/ShareModal-1f84278c.css"},{"revision":null,"url":"assets/ShareModal-544fd3e6.js"},{"revision":null,"url":"assets/sl-b03e40e8.js"},{"revision":null,"url":"assets/SmokingOff-ab064c3b.js"},{"revision":null,"url":"assets/sortBy-734ec8b6.js"},{"revision":null,"url":"assets/Subtitles-e9985c2d.js"},{"revision":null,"url":"assets/sv-6b4185dd.js"},{"revision":null,"url":"assets/tags-7a95018a.js"},{"revision":null,"url":"assets/TermsView-f212e371.js"},{"revision":null,"url":"assets/TextEditor-18e38f23.css"},{"revision":null,"url":"assets/TextEditor-a3d32591.js"},{"revision":null,"url":"assets/TextEditor.vue_vue_type_style_index_1_lang-f4deb2bb.js"},{"revision":null,"url":"assets/TicketConfirmation-2afaf4e2.js"},{"revision":null,"url":"assets/TimelineText-a93691e2.js"},{"revision":null,"url":"assets/TimelineView-367c2bdf.css"},{"revision":null,"url":"assets/TimelineView-43419c2c.js"},{"revision":null,"url":"assets/TimerSandEmpty-3caba17e.js"},{"revision":null,"url":"assets/TodoList-56259065.js"},{"revision":null,"url":"assets/TodoLists-22ae18a9.js"},{"revision":null,"url":"assets/todos-487eb732.js"},{"revision":null,"url":"assets/TodoView-620fd8d2.js"},{"revision":null,"url":"assets/Twitch-1461a421.js"},{"revision":null,"url":"assets/TwitchIntegration-ae66f08e.css"},{"revision":null,"url":"assets/TwitchIntegration-dfcd02b4.js"},{"revision":null,"url":"assets/Twitter-2da86de3.js"},{"revision":null,"url":"assets/Undo-1d9b5fd3.js"},{"revision":null,"url":"assets/UnloggedParticipation-3b9ce71f.js"},{"revision":null,"url":"assets/UnloggedParticipation-ab21f373.css"},{"revision":null,"url":"assets/Upload-d13c9316.js"},{"revision":null,"url":"assets/username-6ed7e305.js"},{"revision":null,"url":"assets/UsersView-42397e6a.css"},{"revision":null,"url":"assets/UsersView-fecea2ef.js"},{"revision":null,"url":"assets/ValidateUser-dcff7fba.js"},{"revision":null,"url":"assets/ViewList-79095144.js"},{"revision":null,"url":"assets/Web-404a63ba.js"},{"revision":null,"url":"assets/Webcam-bd06de97.js"},{"revision":null,"url":"assets/WheelchairAccessibility-5427d2d7.js"},{"revision":null,"url":"assets/Youtube-77f38214.js"},{"revision":null,"url":"assets/YouTubeIntegration-28186c77.js"},{"revision":null,"url":"assets/YouTubeIntegration-7749c1ce.css"},{"revision":null,"url":"assets/zh_Hans-80421481.js"},{"revision":null,"url":"assets/zh_Hant-2114cd9f.js"},{"revision":"38013143dc2183340ede8bc1c5124507","url":"registerSW.js"},{"revision":"cee684745ba51afa908584c14c2fc279","url":"manifest.webmanifest"}]);
x(
  // Check to see if the request is a navigation to a new page
  ({ request: s }) => s.mode === "navigate",
  // Use a Network First caching strategy
  new oe({
    // Put all cached files in a cache named 'pages'
    cacheName: "pages",
    plugins: [
      // Ensure that only requests that result in a 200 status are cached
      new I({
        statuses: [200]
      })
    ]
  })
);
x(
  // Check to see if the request's destination is style for stylesheets, script for JavaScript, font, or worker for web worker
  ({ request: s }) => s.destination === "style" || s.destination === "script" || s.destination === "font" || s.destination === "worker",
  // Use a Stale While Revalidate caching strategy
  new le({
    // Put all cached files in a cache named 'assets'
    cacheName: "assets",
    plugins: [
      // Ensure that only requests that result in a 200 status are cached
      new I({
        statuses: [200]
      })
    ]
  })
);
x(
  // Check to see if the request's destination is style for an image
  ({ request: s }) => s.destination === "image",
  // Use a Cache First caching strategy
  new ce({
    // Put all cached files in a cache named 'images'
    cacheName: "images",
    plugins: [
      // Ensure that only requests that result in a 200 status are cached
      new I({
        statuses: [200]
      }),
      // Don't cache more than 50 items, and expire them after 30 days
      new De({
        maxEntries: 50,
        maxAgeSeconds: 60 * 60 * 24 * 30
        // 30 Days
      })
    ]
  })
);
async function je() {
  const s = await self.clients.matchAll({
    type: "window",
    includeUncontrolled: !0
  });
  let e = !1;
  for (let t = 0; t < s.length; t++)
    if (s[t].focused) {
      e = !0;
      break;
    }
  return e;
}
self.addEventListener("push", async (s) => {
  if (!s.data)
    return;
  const e = s.data.json();
  console.debug("received push", e);
  const t = {
    body: e.body,
    icon: "/img/icons/android-chrome-512x512.png",
    badge: "/img/icons/badge-128x128.png",
    timestamp: new Date(e.timestamp).getTime(),
    lang: e.locale,
    data: {
      dateOfArrival: Date.now(),
      url: e.url
    }
  };
  s.waitUntil(
    (async () => {
      await je() || self.registration.showNotification(e.title, t);
    })()
  );
});
self.addEventListener("notificationclick", function(s) {
  const e = s.notification.data.url;
  s.notification.close(), s.waitUntil(
    (async () => {
      const t = await self.clients.matchAll({
        type: "window",
        includeUncontrolled: !0
      });
      for (let n = 0; n < t.length; n++) {
        const a = t[n];
        if (a.url == e && "focus" in a)
          return a.focus();
      }
      if (self.clients.openWindow)
        return self.clients.openWindow(e);
    })()
  );
});
self.addEventListener("message", (s) => {
  const e = s.ports[0], t = s.data;
  e && t && t.type === "skip-waiting" && (console.debug("doing skip waiting"), s.waitUntil(
    self.skipWaiting().then(
      () => e.postMessage({ error: null }),
      (n) => e.postMessage({ error: n })
    )
  ));
});
//# sourceMappingURL=./service-worker.js-556a8c89f897d33d9fe5b1e38e6715a7.map
